<?php
// increase executime to 5 mins
if (ini_get('max_execution_time') < 300) {
	ini_set('max_execution_time', 300);
}


/*DEFINES*/
/*common*/
define('THEME_DOMAIN', 'delipress');
define('THEME_VERSION', '2.5.1');
define('THEME_NAME', 'Delipress - Magazine and Review WordPress Theme');
define('THEME_URL', get_template_directory_uri());
define('COPYRIGHT_URL', 'http://themeforest.net/user/tiennguyenvan/portfolio?ref=tiennguyenvan');
define('COPYRIGHT_NAME', 'Wpinhands');
define('THEME_AUTHOR', 'Tien Nguyen');
define('THEME_AUTHOR_PORTFOLIO', 'http://themeforest.net/user/tiennguyenvan/portfolio?ref=tiennguyenvan');
define('THEME_AUTHOR_SUPPORT', 'http://themeforest.net/user/tiennguyenvan#contact');
define('THEME_VIDEO_TUTORIAL', 'https://www.youtube.com/watch?v=dxvhkvtASi8');

/*absolute path*/
define('THEME_URL_IMG', THEME_URL . '/img/');
define('THEME_URL_JS', 	THEME_URL . '/js/');
define('THEME_URL_CSS', THEME_URL . '/css/');
define('THEME_URL_INC', THEME_URL . '/inc/');
define('THEME_URL_FONTS',	THEME_URL . '/fonts/');
define('THEME_URL_DEMO',	THEME_URL . '/demo/');
define('THEME_URL_CUSTOMIZER',			THEME_URL_INC . 'customizer/');
define('THEME_URL_LIB',					THEME_URL_INC . 'lib/');
define('THEME_URL_MENUS',				THEME_URL_INC . 'menus/');
define('THEME_URL_POST_CUSTOM_FIELDS', 	THEME_URL_INC . 'post_custom_fields/');
define('THEME_URL_POST_EDITOR',			THEME_URL_INC . 'editor/');
define('THEME_URL_POST_FORMAT',			THEME_URL_INC . 'post_format/');
define('THEME_URL_SEO',					THEME_URL_INC . 'seo/');
define('THEME_URL_STATUS',				THEME_URL_INC . 'status/');
define('THEME_URL_THEME_OPTIONS',		THEME_URL_INC . 'theme_options/');
define('THEME_URL_WIDGETS',				THEME_URL_INC . 'widgets/');
define('THEME_URL_SHORTCODES',			THEME_URL_INC . 'shortcodes/');
define('THEME_URL_RATING',				THEME_URL_INC . 'rating/');
define('THEME_URL_USERS',				THEME_URL_INC . 'users/');
define('THEME_URL_AJAX',				THEME_URL_INC . 'ajax/');


/*related path*/
define('THEME_PART_IMG', '/img/');
define('THEME_PART_JS', '/js/');
define('THEME_PART_CSS', '/css/');
define('THEME_PART_INC', '/inc/');
define('THEME_PART_FONTS','/fonts/');
define('THEME_PART_DEMO', '/demo/');
define('THEME_PART_LANG',				THEME_PART_INC . 'lang/');
define('THEME_PART_LIB',				THEME_PART_INC . 'lib/');
define('THEME_PART_CUSTOMIZER',			THEME_PART_INC . 'customizer/');
define('THEME_PART_MENUS',				THEME_PART_INC . 'menus/');
define('THEME_PART_POST_CUSTOM_FIELDS',	THEME_PART_INC . 'post_custom_fields/');
define('THEME_PART_POST_EDITOR',		THEME_PART_INC . 'post_editor/');
define('THEME_PART_POST_FORMAT',		THEME_PART_INC . 'post_format/');
define('THEME_PART_SEO',				THEME_PART_INC . 'seo/');
define('THEME_PART_STATUS',				THEME_PART_INC . 'status/');
define('THEME_PART_THEME_OPTIONS',		THEME_PART_INC . 'theme_options/');
define('THEME_PART_WIDGETS',			THEME_PART_INC . 'widgets/');
define('THEME_PART_SHORTCODE',			THEME_PART_INC . 'shortcodes/');
define('THEME_PART_RATING',				THEME_PART_INC . 'rating/');
define('THEME_PART_USERS',				THEME_PART_INC . 'users/');
define('THEME_PART_AJAX',				THEME_PART_INC . 'ajax/');




/*GLOBAL SETTINGS*/
define('WPI_REMOTE_TIMEOUT', 50);


/*INCLUDE*/
get_template_part(THEME_PART_LIB				. 'lib_init');
get_template_part(THEME_PART_LANG				. 'lang_init');
get_template_part(THEME_PART_THEME_OPTIONS		. 'theme_options_init');
get_template_part(THEME_PART_MENUS				. 'menus_init');
get_template_part(THEME_PART_CUSTOMIZER			. 'customizer_init');
get_template_part(THEME_PART_RATING				. 'rating_init');
get_template_part(THEME_PART_WIDGETS			. 'widgets_init');
get_template_part(THEME_PART_POST_CUSTOM_FIELDS	. 'post_custom_fields_init');
get_template_part(THEME_PART_POST_EDITOR		. 'post_editor_init');
get_template_part(THEME_PART_POST_FORMAT		. 'post_format_init');
get_template_part(THEME_PART_SEO				. 'seo_init');
get_template_part(THEME_PART_STATUS				. 'status_init');
get_template_part(THEME_PART_SHORTCODE			. 'shortcodes_init');
get_template_part(THEME_PART_USERS				. 'users_init');
get_template_part(THEME_PART_AJAX				. 'ajax_init');

if (isset($_GET['task']) && $_GET['task']==='import' &&
	isset($_GET['act']) && $_GET['act']==='information' &&
	isset($_GET['page']) && $_GET['page']==='wpi-theme-options' &&
	current_user_can( 'manage_options' )) {
	get_template_part(THEME_PART_DEMO . 'demo_init');
}