<?php
/*
$captcha_code = '';
for ($i = 0; $i < 5; $i++) {
    // this numbers refer to numbers of the ascii table (lower case)
    $captcha_code .= chr(rand(97, 122));
}
// allow captcha code in 10 mins
set_transient('captcha_code', $captcha_code, 60*10);
$font_dir = get_template_directory() . THEME_PART_FONTS . 'bobsfrantic.ttf';
$image = imagecreatetruecolor(170, 60);
$black = imagecolorallocate($image, 0, 0, 0);
$color = imagecolorallocate($image, 200, 100, 90); // red
$white = imagecolorallocate($image, 255, 255, 255);
 
imagefilledrectangle($image,0,0,399,99,$white);
imagettftext ($image, 30, 0, 10, 40, $color, $font_dir, $captcha_code);
 
header("Content-type: image/png");
imagepng($image);
*/

function wpi_captcha_callback() {
	$captcha_code = '';
	for ($i = 0; $i < 5; $i++) {
		// this numbers refer to numbers of the ascii table (lower case)
		$captcha_code .= chr(rand(97, 122));
	}
	// allow captcha code in 10 mins
	//set_transient('captcha_code', $captcha_code, 60*10);
	update_option('captcha_code', $captcha_code);
	$font_dir = get_template_directory() . THEME_PART_FONTS . 'bobsfrantic.ttf';
	$image = imagecreatetruecolor(170, 60);
	$black = imagecolorallocate($image, 0, 0, 0);
	$color = imagecolorallocate($image, 200, 100, 90); // red
	$white = imagecolorallocate($image, 255, 255, 255);

	imagefilledrectangle($image,0,0,399,99,$white);
	imagettftext ($image, 30, 0, 10, 40, $color, $font_dir, $captcha_code);

	header("Content-type: image/png");
	imagepng($image);
	die;
}
if (is_admin()) :
	add_action( 'wp_ajax_nopriv_wpi_captcha', 'wpi_captcha_callback' );
	add_action( 'wp_ajax_wpi_captcha', 'wpi_captcha_callback' );
endif;// is_admin for ajax