<?php 

get_template_part(THEME_PART_CUSTOMIZER	. 'customizer_class');

/*CUSTOMIZER DECLARE*/
/*############################################*/
global $wpi_customizer;
$wpi_customizer = array(
	// #######################################
	'title_tagline'	=>	array(
		'title'		=>	'Site Settings',
		'settings'	=>	array(
			
			// ---------------------------------
			'favicon'	=>	array(
				'name'		=> 'Favicon Image',
				'default'	=>	'',
				'type'		=>	'image'
			),
			// ---------------------------------
			'blog_logo'	=>	array(
				'name'		=> 'Blog Logo Image',
				'default'	=>	'',
				'type'		=>	'image'
			),
			// ---------------------------------
			'show_tagline'	=>	array(
				'name'		=> 'Show Tagline in Header',
				'default'	=>	false,
				'type'		=>	'checkbox'
			),
			// ---------------------------------
			'hide_top_social_icon'	=>	array(
				'name'		=> 'Hide Top Social Icons',
				'default'	=>	false,
				'type'		=>	'checkbox'
			),
			// ---------------------------------
			'hide_top_search_box'	=>	array(
				'name'		=> 'Hide Top Search Box',
				'default'	=>	false,
				'type'		=>	'checkbox'
			),
			// ---------------------------------
			'enable_box_layout'	=>	array(
				'name'		=> 'Enable Box Layout',
				'default'	=>	false,
				'type'		=>	'checkbox'
			),
			// ---------------------------------
			'rtl'	=>	array(
				'name'		=> 'Enable RTL Format',
				'default'	=>	false,
				'type'		=>	'checkbox'
			),
			// ---------------------------------
			'theme_switcher'	=>	array(
				'name'		=> 'Enable Theme Switcher',
				'default'	=>	false,
				'type'		=>	'checkbox'
			),
			
			// ---------------------------------
			'disable_responsive'	=>	array(
				'name'		=> 'Disable Responsive',
				'default'	=>	false,
				'type'		=>	'checkbox'
			),
			
			// ---------------------------------
			'view_count_key'	=>	array(
				'name'		=> 'View Count Custom Field Key',
				'default'	=>	'post_views_count',
				'type'		=>	'text'
			),
		)
	),
	
	// #######################################
	'nav'				=>	array(
		'title'		=>	'Navigation',
		'settings'	=>	array(
			// ---------------------------------
			'float_main_menu'	=>	array(
				'name'		=> 'Enable Floating Main Menu',
				'default'	=>	false,
				'type'		=>	'checkbox'
			),
			'responsive_nav'	=>	array(
				'name'		=>	'Responsive Navigation Design',
				'default'	=>	'select',
				'type'		=>	'select',
				'choices'	=>	array(
					'select'	=>	'Select',
					'dropdown'	=>	'Dropdown',
				)
			),
		)
	),
	
	// #######################################
	'static_front_page'	=>	array(
		'title'		=>	'Front Page Settings',
		'settings'	=>	array()
	),
	
	// #######################################
	'colors'			=>	array(
		'title'		=> 'Custom Colors',
		'settings'	=>	array(
			// ---------------------------------
			'main_color'	=> array(
				'name'		=>	'Main Color',
				'default'	=>	'#EA6153',
				'type'		=>	'color',
			),
			// ---------------------------------
			'main_nav_color'	=> array(
				'name'		=>	'Main Navigation Color',
				'default'	=>	'#EA6153',
				'type'		=>	'color',
			)
		)
	),
	
	// #######################################
	'header'			=>	array(
		'title'		=> 'Header Background',
		'settings'	=>	array(
			// ---------------------------------
			'header_background_color'	=> array(
				'name'		=>	'Header Background Color',
				'default'	=>	'#FFFFFF',
				'type'		=>	'color',
			),
			// ---------------------------------
			'header_background_image'	=>	array(
				'name'		=>	'Header Background Image',
				'default'	=>	'',
				'type'		=>	'image'
			),
			// ---------------------------------
			'header_background_repeat'	=>	array(
				'name'		=>	'Header Background Repeat',
				'default'	=>	'tile',
				'type'		=>	'radio',
				'choices'	=>	array(
					'no'		=>	'No Repeat',
					'tile'		=>	'Tile',
					'hor'		=>	'Tile Horizontally',
					'ver'		=>	'Tile Vertically'
				)
			),
			// ---------------------------------
			'header_background_position'	=>	array(
				'name'		=>	'Header Background Position',
				'default'	=>	'center',
				'type'		=>	'radio',
				'choices'	=>	array(
					'left'		=>	'Left',
					'center'	=>	'Center',
					'right'		=>	'Right',
				)
			),
			// ---------------------------------
			'header_background_attachment'	=>	array(
				'name'		=>	'Header Background Attachment',
				'default'	=>	'scroll',
				'type'		=>	'radio',
				'choices'	=>	array(
					'fixed'		=>	'Fixed',
					'scroll'	=>	'Scroll',
				)
			),
		)
	),
	// #######################################
	'body'			=>	array(
		'title'		=> 'Body Background',
		'settings'	=>	array(
			// ---------------------------------
			'body_background_color'	=> array(
				'name'		=>	'Body Background Color',
				'default'	=>	'#FFFFFF',
				'type'		=>	'color',
			),
			// ---------------------------------
			'body_background_image'	=>	array(
				'name'		=>	'Body Background Image',
				'default'	=>	'',
				'type'		=>	'image'
			),
			// ---------------------------------
			'body_background_repeat'	=>	array(
				'name'		=>	'Body Background Repeat',
				'default'	=>	'tile',
				'type'		=>	'radio',
				'choices'	=>	array(
					'no'		=>	'No Repeat',
					'tile'		=>	'Tile',
					'hor'		=>	'Tile Horizontally',
					'ver'		=>	'Tile Vertically'
				)
			),
			// ---------------------------------
			'body_background_position'	=>	array(
				'name'		=>	'Body Background Position',
				'default'	=>	'center',
				'type'		=>	'radio',
				'choices'	=>	array(
					'left'		=>	'Left',
					'center'	=>	'Center',
					'right'		=>	'Right',
				)
			),
			// ---------------------------------
			'body_background_attachment'	=>	array(
				'name'		=>	'Body Background Attachment',
				'default'	=>	'scroll',
				'type'		=>	'radio',
				'choices'	=>	array(
					'fixed'		=>	'Fixed',
					'scroll'	=>	'Scroll',
				)
			),
		)
	),
	
	// #######################################
	'fonts'				=>	array(
		'title'		=>	'Fonts Settings',
		'settings'	=>	array(
			// ---------------------------------
			'emphasis_font_family'	=>	array(
				'name'		=> 'Font for Titles',
				'default'	=>	'font-62',
				'type'		=>	'font-family'
			),
			// ---------------------------------
			'body_font_family'	=>	array(
				'name'		=> 'Font for Body Text',
				'default'	=>	'font-61',
				'type'		=>	'font-family'
			),
			/*
			// ---------------------------------
			'post_title_font_size'	=>	array(
				'name'		=>	'Post Title Font Size',
				'default'	=>	'30',
				'type'		=>	'font-size'
			),
			// ---------------------------------
			'post_content_font_size'	=>	array(
				'name'		=>	'Post Content Font Size',
				'default'	=>	'14',
				'type'		=>	'font-size'
			),
			// ---------------------------------
			'widget_title_font_size'	=>	array(
				'name'		=>	'Widget Title Font Size',
				'default'	=>	'16',
				'type'		=>	'font-size'
			),
			 * 
			 */
		)
	),
	
	// #######################################
	'content'			=>	array(
		'title'		=>	'Content Settings',
		'settings'	=>	array(
			// ---------------------------------
			'default_thumbnail_image'	=>	array(
				'name'		=>	'Default Thumbnail Image',
				'default'	=>	'',
				'type'		=>	'image'
			),
			// ---------------------------------
			'hide_feature_image'	=>	array(
				'name'		=> 'Hide Feature Image',
				'default'	=>	false,
				'type'		=>	'checkbox'
			),
			// ---------------------------------
			'hide_author_name'	=>	array(
				'name'		=> 'Hide Author Name in Articles',
				'default'	=>	false,
				'type'		=>	'checkbox'
			),
			// ---------------------------------
			'hide_date_time'	=>	array(
				'name'		=> 'Hide Date Time in Articles',
				'default'	=>	false,
				'type'		=>	'checkbox'
			),
			// ---------------------------------
			'hide_excerpt'	=>	array(
				'name'		=> 'Hide Post Excerpt',
				'default'	=>	false,
				'type'		=>	'checkbox'
			),
			// ---------------------------------
			'hide_author_box'	=>	array(
				'name'		=> 'Hide Author Box',
				'default'	=>	false,
				'type'		=>	'checkbox'
			),
			// ---------------------------------
			'hide_sharing_box'	=>	array(
				'name'		=> 'Hide Sharing Box',
				'default'	=>	false,
				'type'		=>	'checkbox'
			),
			
			// ---------------------------------
			'enable_lightbox'	=>	array(
				'name'		=> 'Enable Light Box',
				'default'	=>	false,
				'type'		=>	'checkbox'
			),
			// ---------------------------------
			'num_related_posts'	=>	array(
				'name'		=> 'Number Related Posts',
				'default'	=>	2,
				'type'		=>	'text'
			),
			// ---------------------------------
			'duration_related_posts'	=>	array(
				'name'		=>	'Related Post Duration',
				'default'	=>	'all',
				'type'		=>	'select',
				'choices'	=>	array(
					'all'		=>	'All',
					'year'	=>	'Last Year',
					'month'	=>	'Last Month',
					'week'	=>	'Last Week',
				)
			),
		)
	),
	
	
);

function wpi_init_customizer($wp_customize) {
	global $wpi_customizer;
	$section_priority = 0;
	foreach ($wpi_customizer as $key => $value) :
		// init sections
		$wp_customize->add_section( $key , array(
			'title'      	=> __wpi($value['title']),
			'priority'		=>	$section_priority,
		) );
		
		// init settings
		$settings_priority = 100;
		foreach ($value['settings'] as $setting_key => $setting_value) :
			// add settings
			// -------------------------------------------------
			$wp_customize->add_setting( $setting_key , array(
				'default'     => $setting_value['default'],
			) );

			// process controls data
			// -------------------------------------------------
			$ctrl_args = array(
				'priority'		=>	$settings_priority,
				'label'			=> __wpi( $setting_value['name'] ),
				'section'		=> $key,
				'settings'		=> $setting_key,
			);
			$ctrl_key = 'ctrl_'.$setting_key;
			switch ($setting_value['type']) {
				case 'checkbox':
				case 'radio':
				case 'select':
					$ctrl_args = wp_parse_args(array(
						'type'	=> $setting_value['type']
					), $ctrl_args);
					if (isset($setting_value['choices'])) {
						$choices = array();
						foreach ($setting_value['choices'] as $choice_key => $choice_label) {
							$choices = wp_parse_args(array($choice_key => $choice_label), $choices);
						}
						$ctrl_args = wp_parse_args(array(
							'choices'	=> $choices
						), $ctrl_args);
					}
					break;
					
				case 'font-size':
					$ctrl_args = wp_parse_args(array(
						'type'		=> 'select',
						'choices'	=>	array(
							'10' => '10px',
							'11' => '11px',
							'12' => '12px',
							'14' => '14px',
							'16' => '16px',
							'20' => '20px',
							'24' => '24px',
							'30' => '30px',
							'36' => '36px',
							'42' => '42px',
							'50' => '50px',
							'60' => '60px',
							'70' => '70px',
							'80' => '80px',
						)
					), $ctrl_args);
					break;
				
				default:
					break;
			}
			
			// add controls
			// -------------------------------------------
			switch ($setting_value['type']) {
				case 'text':
				case 'checkbox':
				case 'radio':
				case 'select':
				case 'font-size':
					$wp_customize->add_control(new WP_Customize_Control($wp_customize,$ctrl_key,$ctrl_args));
					break;
				
				case 'color':
					$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,$ctrl_key,$ctrl_args));
					break;
				
				case 'image':
					$wp_customize->add_control(new WP_Customize_Image_Control($wp_customize,$ctrl_key,$ctrl_args));
					break;
				
				case 'font-family':
					// google font for emphasis-font
					if (class_exists( 'GoogleFontPicker' ) ) {
						$wp_customize->add_control(new GoogleFontPicker($wp_customize,$ctrl_key,$ctrl_args));
					}
					break;
	
				default:
					break;
			}
			$settings_priority++;
		endforeach;// settings loop
		$section_priority++;
	endforeach;// section loop
}
add_action( 'customize_register', 'wpi_init_customizer' );

global $social_name_array;	
$social_name_array = array(	
	'twitter', 'feed', 'facebook', 'dribbble', 'google-plus', 	'pinterest', 
	'evernote', 'vimeo', 'youtube', 'linkedin', 'flickr', 		'forrst', 
	'behance', 'zerply', 'tumblr', 'blogger', 	'digg', 		'wordpress', 'instagram'
);

// enqueue customizer scripts and style
function wpi_enqueue_customizer() {
	global $Google_Font_List;
	// customizer style
	wp_enqueue_style( THEME_DOMAIN . '-customizer-style', THEME_URL_CSS . 'customizer.css', array(), THEME_VERSION );
	
	// customizer scripts
	// // // // // // //
	// register
	wp_register_script('wpi_web_fonts', 'http://ajax.googleapis.com/ajax/libs/webfont/1/webfont.js', array('jquery'), THEME_VERSION);
	
	
	// show font for CUSTOM font
	$customizer_css = '';
	$cufont = array();
	$the_query = new WP_Query( array( 
		'post_status' => 'any', 
		'post_type' => 'attachment',
		'post_mime_type' => 'font/opentype') );

	// The Loop
	if ( $the_query->have_posts() ) :
		while ( $the_query->have_posts() ) : $the_query->the_post();
			$fid = get_the_ID();
			$fname = get_the_title();
			$fguid = get_the_guid();
			$cufont = wp_parse_args(array($fname), $cufont);
			$customizer_css .= '@font-face {
  font-family: \''.$fname.'\';
  src: url('.$fguid.') format(\'woff\');
}';
		endwhile;
	endif;

	/* Restore original Post Data */
	wp_reset_postdata();
	wp_add_inline_style( THEME_DOMAIN . '-customizer-style', $customizer_css );
	
			
	$font_list = array();
	$font_list = wp_parse_args($cufont, $Google_Font_List);
	
	// print
	wp_enqueue_script('jquery');
	wp_enqueue_script( 'wpi_web_fonts');
	wp_localize_script( 'wpi_web_fonts', 'wpi_web_fonts', $font_list);
	wp_enqueue_script( 'wpi-customizer', THEME_URL_JS .'customizer.js', array('jquery', 'wpi_web_fonts'), THEME_VERSION, true);
	
}
add_action( 'customize_controls_enqueue_scripts', 'wpi_enqueue_customizer' );
		
	

function register_customizations_social_links( $wp_customize, $social_names ) {

	// add settings and controls
	$priority = 1;
	foreach ($social_names as $social_name) {
		$wp_customize->add_setting( 'social_'.$social_name.'_link' , array(
			'default'     => '',
			/*'transport'   => 'postMessage',*/
		) );
		$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'ctrl_social_'.$social_name.'_link', array(
			'label'        	=> ucfirst($social_name),
			'section'    	=> 'social-networks',
			'settings'   	=> 'social_'.$social_name.'_link',
			'priority'		=> $priority
		) ) );
		$priority++;
	}
}

get_template_part(THEME_PART_CUSTOMIZER	. 'customizer_output');
