<?php
add_shortcode('team', 'team_handler');

function team_handler($atts, $content=null) {
	$RES_HTML = '';
	global $wpi_social_names;
	$users = get_users(array(
		
	));
	$count = 0;
	if (!empty($users)) {
		$RES_HTML .= '<div class="clear"></div>
<div class="wpi-team-box"><div class="outer"><ul class="content">';
		
		foreach ($users as $user) {
			$author_name = $user->display_name;
			$author_nice_name  = $user->user_nicename;
			$author_profile_url = home_url().'/author/'.$author_nice_name;
			$author_avatar = get_avatar( $user->id, 220, 'http://assets.tumblr.com/images/default_avatar_128.png', 'author-avatar' );
			$author_description = get_the_author_meta('description',$user->id);
			$author_role = get_user_by('id', $user->id);
			if (is_object($author_role) && property_exists($author_role, 'roles') && is_array($author_role->roles) && count($author_role->roles)) {
				$author_role = $author_role->roles[0];
			} else {
				continue;
			}
			
			
			if (count_user_posts($user->id)) {

				$RES_HTML .= '<li class="item item-' . $count . (($count % 2 == 0) ? ' item-even' : ' item-odd') . (($count % 3 == 0) ? ' item-triple' : '') . (($count == 0) ? ' item-first' : ' item-other') . '">
	<div class="inner">
		<a href="'.$author_profile_url.'" title="'.  esc_attr($author_name).'" class="item-thumbnail medium">
				'.$author_avatar.'
		</a>
		<div class="main">
			<div class="main-inner">
				<h3 class="title sfont"><a href="'.$author_profile_url.'"><span class="color-hover">'.$author_name.'</span></a></h3>
				<div class="meta">
					<span class="cate background-color">'.$author_role.'</span>
			</div>
				<p class="snippet">'.$author_description.'</p>
			</div>
			
		</div>
		<div class="clear"></div>';
				
				$RES_HTML .= '<div class="post-author-connect">';
				foreach ($wpi_social_names as $item => $name) :
					if ($item == 'globe') {
						continue;
					}
					$social = get_user_meta($user->id, $item, true);
					if ($social) {
							$RES_HTML .=  '<a href="'.$social.'" title="'.  esc_attr($name).'"><span class="background-color-hover"><i class="fa fa-'.$item.'"></i></span></a>';
					}
				endforeach;
				if ($user->user_url) {
						$RES_HTML .=  '<a href="'.$user->user_url.'" title="'.esc_attr($user->user_url).'"><span class="background-color-hover"><i class="fa fa-globe"></i></span></a>';
				}
					
					
				$RES_HTML .= '<div class="clear"></div></div>';
				$RES_HTML .='</div>
</li>';

				$count++;
			}
		}
		
		$RES_HTML .='<div class="clear"></div>
</ul></div></div><div class="clear"></div>';
		
	
	}
	return $RES_HTML;
}

