<?php
// CSS
$advance_css = force_balance_tags(get_option('advance_css'));
if ($advance_css == false) {
	$advance_css = '';
}
if (isset($_POST["update_settings"])) {  
	// Do the saving  
	if (isset($_POST["advance_css"])) {  
		$advance_css = force_balance_tags(html_entity_decode(htmlentities(stripslashes($_POST["advance_css"]))));
		update_option("advance_css", $advance_css);
	}
}  
$advance_css = htmlentities($advance_css);

// JAVASCRIPT
$advance_js = force_balance_tags(get_option('advance_js'));
if ($advance_js == false) {
	$advance_js = '';
}
if (isset($_POST["update_settings"])) {  
	// Do the saving  
	if (isset($_POST["advance_js"])) {  
		$advance_js = force_balance_tags(html_entity_decode(htmlentities(stripslashes($_POST["advance_js"]))));
		update_option("advance_js", $advance_js);
	}
}  
$advance_js = htmlentities($advance_js);

// HTML
$advance_html = force_balance_tags(get_option('advance_html'));
if ($advance_html == false) {
	$advance_html = '';
}
if (isset($_POST["update_settings"])) {  
	// Do the saving  
	if (isset($_POST["advance_html"])) {  
		$advance_html = force_balance_tags(html_entity_decode(htmlentities(stripslashes($_POST["advance_html"]))));
		update_option("advance_html", $advance_html);
	}
}  
$advance_html = htmlentities($advance_html);
?>

<form method="POST" action="">  
	<h3><?php echo __wpi('Advance CSS'); ?></h3>
	<p class="form-field">
		<label for="advance_css"><?php echo __wpi('Do not include'); echo ' &lt;style&gt; '; echo __wpi('tag in this code, theme will generate automatically.'); ?><br/>
		<code>&lt;style type="text/css"&gt;</code>
		<textarea name="advance_css" id="advance_css" rows="5" style="width: 100%;font-family: Courier;"><?php echo $advance_css;?></textarea>
		<code>&lt;/style&gt;</code>
		</label>
	</p>
	
	<h3><?php echo __wpi('Advance Javascript'); ?></h3>
	<p class="form-field">
		<label for="advance_js"><?php echo __wpi('Do not include'); echo ' &lt;script&gt; '; echo __wpi('tag in this code, theme will generate automatically.'); ?><br/>
		<code>&lt;script type="text/javascript"&gt;</code>
		<textarea name="advance_js" id="advance_js" rows="5" style="width: 100%;font-family: Courier;"><?php echo $advance_js;?></textarea>
		<code>&lt;/script&gt;</code>
		</label>
	</p>
	
	<h3><?php echo __wpi('Advance HTML'); ?></h3>
	<p class="form-field">
		<label for="advance_html"><?php echo __wpi('This is usually used to input Google Analytics code or custom footer HTML code'); ?></label>
		<textarea name="advance_html" id="advance_html" rows="5" style="width: 100%;font-family: Courier;"><?php echo $advance_html;?></textarea>
	</p>
	
	<p class="submit">
		<input type="submit" name="submit" id="submit" class="button button-primary" value="<?php echo __wpi('Save Custom Code');?>">
	</p>
	<input type="hidden" name="update_settings" value="Y" />  
</form>  
