<?php

add_action( 'wp_ajax_wpi_widgets_add_custom_sidebar', 'wpi_widgets_add_custom_sidebar' );

function wpi_widgets_add_custom_sidebar() {
   if (current_user_can( 'manage_options' ) ) {
	   if (isset($_POST['area']) && isset($_POST['name'])) {
		   $area = $_POST['area'];
		   $name = $_POST['name'];
		   $id = get_option('wpi_sidebar_'.$area.'_db_id', 0);
		   $base = $area.'-'.$id;
		   $lst = get_option('wpi_sidebar_list', array());
		   $lst = wp_parse_args(array($base => $name), $lst);
		   $id++;
		   update_option('wpi_sidebar_'.$area.'_db_id', $id);
		   update_option('wpi_sidebar_list', $lst);
		   
		   echo $base;
	   }
	}
}

add_action( 'wp_ajax_wpi_widgets_delete_custom_sidebar', 'wpi_widgets_delete_custom_sidebar' );
function wpi_widgets_delete_custom_sidebar() {
	if (current_user_can( 'manage_options' ) ) {
	   if (isset($_POST['base'])) {
		   $base = $_POST['base'];
		   $lst = get_option('wpi_sidebar_list', array());
		   unset($lst[$base]);
		   update_option('wpi_sidebar_list', $lst);
		   
		   echo $base;
	   }
	}
}

add_action( 'wp_ajax_wpi_widgets_rename_custom_sidebar', 'wpi_widgets_rename_custom_sidebar' );
function wpi_widgets_rename_custom_sidebar() {
	if (current_user_can( 'manage_options' ) ) {
	   if (isset($_POST['base']) && isset($_POST['name'])) {
		   $base = $_POST['base'];
		   $name = $_POST['name'];
		   $lst = get_option('wpi_sidebar_list', array());
		   $lst[$base] = $name;
		   update_option('wpi_sidebar_list', $lst);
		   
		   echo $base;
	   }
	}
}