<?php get_header(); 
$index_type = '';
if (isset($_GET['index'])) {
	$index_type = $_GET['index'];
}
?>

	<div class="content-col col-main">
		<div class="news-box widget blog_roll"><div class="outer">
		
		<?php if (have_posts()) : ?>
			<?php
			if (is_search()) {
				$search_query = get_search_query();
				if ($search_query) :
					?>
					<div class="wpi-search-query">
						<span><?php echo __wpi('Search result for query'); ?>:</span> 
						<strong><?php echo $search_query; ?></strong>
					</div>
					<?php
				endif;
			}
			?>
			<ul class="content">
			<?php 
				$counter = 0;
				while (have_posts()) : the_post();
					if ($index_type && get_post_type() != $index_type) {
						continue;
					}
					$p = new Wpi_Article_Item(array(
						'show_snippet'			=>		true,
						'show_category'			=>		true,
						'show_comment_number'	=>		true,
						'show_date'				=>		true,
						'category'				=>		1,
						'snippet_length'		=>		200
					));
					
					echo '<li class="item item-'.$counter.' item-'.(($counter==0)? 'first active':'other').' item-'.(($counter%2)? 'odd':'even').(($counter%3)? '':' item-triple').'"><div class="inner">';
					
					echo $p->review().$p->thumbnail('natural_full').$p->cates().$p->title().$p->meta().$p->snippet(true);
					
					echo '<div class="clear"></div></div></li>';
					$counter++;
				endwhile; /*end have_posts*/ ?>

			<?php echo wpi_pagenav_index(); ?>
			</ul>
		<?php else: ?>
			<div class="content-404">
				<h3 class="title-1 color"><?php echo __wpi('Some thing went wrong');?></h3>
				<h3 class="title-2 sfont color">T_T</h3>
				<h3 class="title-3 color">
					<?php 
					if (is_search()) {
						$search_query = get_search_query();
						echo __wpi('Have no any content for your keyword:').' <strong>'.$search_query.'</strong>. '.__wpi('please try other keywords with below form');
					} else {
						echo __wpi('Have no any content for your keyword, please try other keywords with below form');			}
					?>
				</h3>
				<div class="icon color"><i class="fa fa-rocket"></i></div>
				<form method="get" class="search-form" action="<?php echo get_home_url(); ?>">
					<?php $search_text = __wpi('Search'); ?>
					<input class="search-text" name="s" onblur="if (this.value == '') {this.value = '<?php echo $search_text; ?>...';}" onfocus="if (this.value == '<?php echo $search_text; ?>...') {this.value = '';}" type="text" value="<?php echo $search_text; ?>..."/>

					<button class="search-submit" type="submit"><span class="background-color"><i class="fa fa-search"></i> <?php echo $search_text; ?></span></button>


				</form>
			
		</div>
		<?php endif; /*end have_posts()*/ ?>
		<div class="clear"></div></div></div>
	</div><!-- .col-main -->

	<?php get_sidebar(); ?>

<?php get_footer(); ?>