jQuery(function ($) {
	// sidebar process
	var wpi_sidebar_max_id = $('input[name="wpi_sidebar_max_id"]').val();
	if (typeof(wpi_sidebar_max_id) !== 'undefined') {
		wpi_sidebar_max_id = Number(wpi_sidebar_max_id);
	} else {
		wpi_sidebar_max_id = 0;
	}
	function wpi_sidebar_delete(obj) {
		if (!confirm('Are you sure to delete this sidebar?')) {
			return;
		}
		var name= $(obj).attr('href');
		if (name) {
			name = name.replace(/#/gi, '');
			$('input[name="'+name+'"]').remove();
			$(obj).remove();
			
			// update list
			var list = $('input[name="wpi_sidebar_list"]').val();
			var list_arr = list.split(',');
			var new_list = '';
			
			for (var i = 0; i < list_arr.length; i++) {
				
				if (list_arr[i] !== name) {
					if (new_list) {
						new_list += ',';
					}
					new_list += list_arr[i];
				}
			}
			
			$('input[name="wpi_sidebar_list"]').val(new_list);
		}
	}
	
	$('#wpi_sidebar_addnew_button').click(function (){
		var sidebar_title = prompt('Name of sidebar');
		
		// addnew sidebar
		if (sidebar_title) {
			$('<input type="text" name="wpi-sidebar-'+wpi_sidebar_max_id+'" value="'+sidebar_title+'" style="width:200px"/>\
	<a href="#wpi-sidebar-'+wpi_sidebar_max_id+'" class="wpi_sidebar_delete_button button button-small" id="wpi-sidebar-'+wpi_sidebar_max_id+'-delete">Delete</a><div class="clear"></div>').insertBefore('input[name="wpi_sidebar_list"]');
			$('#wpi-sidebar-'+wpi_sidebar_max_id+'-delete').click(function(){
				wpi_sidebar_delete(this);
			});
			
			// update list
			var list = $('input[name="wpi_sidebar_list"]').val();
			if (list) {
				list +=',';
			}
			list += 'wpi-sidebar-'+wpi_sidebar_max_id;
			$('input[name="wpi_sidebar_list"]').val(list);
			
			// update max index
			wpi_sidebar_max_id++;
			$('input[name="wpi_sidebar_max_id"]').val(wpi_sidebar_max_id);
		}
	});
	
	// delete sidebar
	$('.wpi_sidebar_delete_button').click(function(){
		wpi_sidebar_delete(this);
	});
});