<?php get_header();  
global $wpi_pf_main_sidebar;
global $wpi_pf_small_sidebar;
global $wpi_pf_big_sidebar;
?>
	<div class="content-col col-main">
		<?php
			/**
			 * woocommerce_before_main_content hook
			 *
			 * @hooked woocommerce_output_content_wrapper - 10 (outputs opening divs for the content)
			 * @hooked woocommerce_breadcrumb - 20
			 */
			do_action( 'woocommerce_before_main_content' );
		?>

			<?php while ( have_posts() ) : the_post(); ?>

				<?php wc_get_template_part( 'content', 'single-product' ); ?>

			<?php endwhile; // end of the loop. ?>

		<?php
			/**
			 * woocommerce_after_main_content hook
			 *
			 * @hooked woocommerce_output_content_wrapper_end - 10 (outputs closing divs for the content)
			 */
			do_action( 'woocommerce_after_main_content' );
		?>
		
		<?php
		if ($wpi_pf_main_sidebar != 'content') :
			if ( is_active_sidebar($wpi_pf_main_sidebar)) : ?>
				<div id="<?php echo $wpi_pf_main_sidebar; ?>" class="sidebar">
					<?php dynamic_sidebar( $wpi_pf_main_sidebar ); ?>
				</div>
			<?php endif; 
		endif;
		?>
		
	</div><!-- .col-main -->
	
	<?php if ( is_active_sidebar( $wpi_pf_small_sidebar ) && $wpi_pf_small_sidebar !== 'small-disable') : ?>
		<div class="content-col col-small">
			<div id="<?php echo $wpi_pf_small_sidebar; ?>" class="sidebar">
				<?php dynamic_sidebar( $wpi_pf_small_sidebar ); ?>
			</div>
		</div><!-- .col-small -->
	<?php endif; ?>
	
	
	
	<?php if ( is_active_sidebar( $wpi_pf_big_sidebar ) && $wpi_pf_big_sidebar !== 'big-disable') : ?>
		<div class="content-col col-big">
			<div id="<?php echo $wpi_pf_big_sidebar; ?>" class="sidebar">
				<?php dynamic_sidebar( $wpi_pf_big_sidebar ); ?>
			</div>
		</div><!-- .col-big -->
	<?php endif; ?>
	

<?php get_footer(); ?>			