<?php
function wpi_user_post_rating_callback() {
	$rating_id = wpi_get_server_request('id');
	$rating_value = wpi_get_server_request('value');
	if (is_numeric($rating_id) && is_numeric($rating_value)) {
		// get and validate value
		$rating_type = get_post_meta($rating_id, 'wpi-rating-type', true);
		$user_rating_total_value = get_post_meta($rating_id, 'wpi_user_rating_total_value', true);
		if (!$user_rating_total_value) {
			$user_rating_total_value = 0;
		}
		$user_rating_total_value = (int) $user_rating_total_value;


		$user_rating_total_votes = get_post_meta($rating_id, 'wpi_user_rating_total_votes', true);
		if (!$user_rating_total_votes) {
			$user_rating_total_votes = 0;
		}
		$user_rating_total_votes = (int) $user_rating_total_votes;

		$rating_value = (float) $rating_value;
		if ($rating_value < 0) {
			$rating_value = 0;
		}
		if ($rating_value > 100) {
			$rating_value = 100;
		}
		$rating_id = (int) $rating_id;

		// update values
		$user_rating_total_value = (int) (($user_rating_total_value * $user_rating_total_votes + $rating_value)/($user_rating_total_votes + 1));
		update_post_meta($rating_id, 'wpi_user_rating_total_value', $user_rating_total_value);

		$user_rating_total_votes++;
		update_post_meta($rating_id, 'wpi_user_rating_total_votes', $user_rating_total_votes);

		echo $user_rating_total_value;
	}
	die();
}
if (is_admin()) :
	add_action( 'wp_ajax_nopriv_wpi_user_post_rating', 'wpi_user_post_rating_callback' );
	add_action( 'wp_ajax_wpi_user_post_rating', 'wpi_user_post_rating_callback' );
endif;// is_admin for ajax