<?php

// just pick fields you want, you can also modify it
global $common_article_widget_instance;
$common_article_widget_instance = array(
	'title_url' => array(
		'id'	=>	'title_url',
		'label'	=>	'Title URL',
	),
	//+++++++++++++++++++++++++++++++++++++++++++++++++
	'sort' => array(
		'id'		=>	'sort',
		'label'		=>	'Sort By',
		'type'		=>	'select',
		'default'	=>	'recent',
		'choices'	=> array(
			'recent'	=>	'Latest Posts',
			'popular'	=>	'Popular Posts',
			'random'	=>	'Random Posts'
		)
	),
	//+++++++++++++++++++++++++++++++++++++++++++++++++
	'pagination' => array(
		'id'		=>	'pagination',
		'type'		=>	'select',
		'default'	=>	'none',
		'choices'	=> array(
			'none'			=>	'None',
			'more'			=>	'Load More',
			'number'		=>	'Numbers',
			'newer_older'	=>	'Newer / Older'
		)
	),
	//+++++++++++++++++++++++++++++++++++++++++++++++++
	'category_check' => array(
		'id'	=>	'category_check',
		'Label'	=>	'Check categories for Tab'
	),
	//+++++++++++++++++++++++++++++++++++++++++++++++++
	'category' => array(
		'id'	=>	'category',
	),
	//+++++++++++++++++++++++++++++++++++++++++++++++++
	'author' => array (
		'id'	=>	'author',
	),
	//+++++++++++++++++++++++++++++++++++++++++++++++++
	'count' => array(
		'id'		=>	'count',
		'label'		=>	'Post Count',
		'default'	=>	5
	),
	//+++++++++++++++++++++++++++++++++++++++++++++++++
	'exclude_loaded_posts' => array(
		'id'	=>	'exclude_loaded_posts',
		'type'	=>	'checkbox'
	),
	//+++++++++++++++++++++++++++++++++++++++++++++++++
	'exclude_sticky_posts' => array(
		'id'	=>	'exclude_sticky_posts',
		'type'	=>	'checkbox'
	),
	//+++++++++++++++++++++++++++++++++++++++++++++++++
	'show_rss' => array(
		'id'	=>	'show_rss',
		'label'	=>	'Show RSS Button',
		'type'	=>	'checkbox'
	),
	//+++++++++++++++++++++++++++++++++++++++++++++++++
	'full_first_thumb' => array(
		'id'	=>	'full_first_thumb',
		'label'	=>	'Display Full Image of First Item',
		'type'	=>	'checkbox'
	),
	//+++++++++++++++++++++++++++++++++++++++++++++++++
	'show_category' => array(
		'id'	=>	'show_category',
		'type'	=>	'checkbox'
	),
	//+++++++++++++++++++++++++++++++++++++++++++++++++
	'show_date' => array(
		'id'	=>	'show_date',
		'type'	=>	'checkbox'
	),
	//+++++++++++++++++++++++++++++++++++++++++++++++++
	'show_comment_number' => array(
		'id'	=>	'show_comment_number',
		'type'	=>	'checkbox'
	),
	//+++++++++++++++++++++++++++++++++++++++++++++++++
	'show_view_count' => array(
		'id'	=>	'show_view_count',
		'type'	=>	'checkbox'
	),
	//+++++++++++++++++++++++++++++++++++++++++++++++++
	'show_next_prev' => array(
		'id'	=>	'show_next_prev',
		'label'	=>	'Show Next / Prev Button',
		'type'	=>	'checkbox'
	),
	//+++++++++++++++++++++++++++++++++++++++++++++++++
	'show_thumb_nav' => array(
		'id'	=>	'show_thumb_nav',
		'label'	=>	'Show Thumbnail Navigation',
		'type'	=>	'checkbox'
	),
	//+++++++++++++++++++++++++++++++++++++++++++++++++
	'show_corner_border' => array(
		'id'	=>	'show_corner_border',
		'type'	=>	'checkbox'
	),
	//+++++++++++++++++++++++++++++++++++++++++++++++++
	'show_bar_nav' => array(
		'id'	=>	'show_bar_nav',
		'label'	=>	'Show Bar Navigation',
		'type'	=>	'checkbox'
	),
	//+++++++++++++++++++++++++++++++++++++++++++++++++
	'show_snippet' => array(
		'id'	=>	'show_snippet',
		'label'	=>	'Show Post Snippet / Excerpt',
		'type'	=>	'checkbox'
	),
	//+++++++++++++++++++++++++++++++++++++++++++++++++
	'snippet_length' => array(
		'id'	=>	'snippet_length',
		'label'	=>	'Snippet Length',
		'default' => 150
	),
	//+++++++++++++++++++++++++++++++++++++++++++++++++
	'color' => array(
		'id'		=>	'color',
		'default'	=>	((get_theme_mod('main_color')? get_theme_mod('main_color') : '#EA6153'))
	),
	//+++++++++++++++++++++++++++++++++++++++++++++++++
	'animation' => array(
		'id'		=>	'animation',
		'type'		=>	'select',
		'default'	=>	'slide',
		'choices'	=> array(
			'slide'		=>	'Slide',
			'fade'		=>	'Fade',
			'typing'	=>	'Typing'
		)
	),
	//+++++++++++++++++++++++++++++++++++++++++++++++++
	'speed' => array(
		'id'		=>	'speed',
		'label'		=>	'Speed in Millisecond (ms)',
		'default'	=>	400
	),
	//+++++++++++++++++++++++++++++++++++++++++++++++++
	'pause_time' => array(
		'id'		=>	'pause_time',
		'label'		=>	'Pause Time in Millisecond (ms)',
		'default'	=>	3000
	),
	//+++++++++++++++++++++++++++++++++++++++++++++++++
	'control' => array(
		'id'		=>	'control',
		'label'		=>	'Control Buttons',
		'type'		=>	'select',
		'default'	=>	'none',
		'choices'	=> array(
			'none'			=>	'None',
			'next_prev'		=>	'Next / Prev',
			'points'		=>	'Points',
			'number'		=>	'Numbers'
		)
	),
	//+++++++++++++++++++++++++++++++++++++++++++++++++
	'columns' => array(
		'id'		=>	'columns',
		'label'		=>	'Number of Columns',
		'default'	=>	5
	),
);

/*Paste this then remove the ones you don't want*/
/*
		global $common_article_widget_instance;
		$cf = $common_article_widget_instance;//common fields
		$instance = array(
			$cf['title_url'],
			$cf['sort'],
			$cf['pagination'],
			$cf['category_check'],
			$cf['category'],
			$cf['author'],
			$cf['count'],
			$cf['exclude_loaded_posts'],
			$cf['exclude_sticky_posts'],
			$cf['show_rss'],
			$cf['full_first_thumb'],
			$cf['show_category'],
			$cf['show_date'],
			$cf['show_comment_number'],
			$cf['show_next_prev'],
			$cf['show_thumb_nav'],
			$cf['show_corner_border'],
			$cf['show_bar_nav'],
			$cf['show_snippet'],
			$cf['snippet_length'],
			$cf['color'],
			$cf['animation'],
			$cf['speed'],
			$cf['pause_time'],
			$cf['control'],
			$cf['columns'],
		); 
 */

// use this class inside LOOP only
class Wpi_Article_Item {
	var $id;
	var $link;
	var $title;
	var $title_attr;
	var $date;
	var $time;
	var $format;
	var $args;
	
	/* THIS FUNCTION RUN WHEN CREATE CLASS VARIABLE
	 * we will use this to get some basic thing that will be use in every methods
	 */
	function __construct($args = null) {
		$this->id = get_the_ID();
		$this->link = get_permalink();
		$this->title = get_the_title();
		$this->title_attr = esc_attr($this->title);
		$this->date = get_the_date();
		$this->time = get_the_time();
		$this->format = get_post_format();
		$this->args = $args;
	}
	
	function review($source = 'author') {
		return wpi_rating_item($this->id, $source);
	}
	
	function snippet($more = false, $len = -1) {
		$ret = '';
	
		if (!$this->args['show_snippet']) {
			return $ret;
		}
		if ($len == -1) {
			if (is_numeric($this->args['snippet_length'])) {
				$len = (int) $this->args['snippet_length'];
			} else {
				return $ret;
			}
		}
		if ($len > 0) {
			$ret = wpi_get_the_snippet($len);
		} 
		if ($ret && $more) {
			$ret .= '<div class="clear"></div><a class="readmore sfont border-color color" href="'.$this->link.'#more-'.$this->id.'">'.  __wpi('Readmore').'</a>';
		}
		return $ret;
	}
	
	/* size: thumbnail/medium/large/full, natural_thumbnail/medium/large/full
	 * link_wrap: true mean wrap by link, false mean image only
	 */
	function thumbnail($size = 'thumbnail', $link_wrap = true) {
		$ret = '';
		$size_get = $size;
		$size_get = str_replace('natural_', '', $size_get);
		$ret = wpi_get_post_image(
			$this->id, 
			$size_get, 
			array(
				'alt' => $this->title_attr, 
				'title' => $this->title_attr
				)
			);
		$class = 'item-thumbnail';
		if (strpos($size, 'natural') !== false) {
			$class = 'item-natural-thumbnail';
		}
		if ($link_wrap) {
			$ret = '<a href="'.$this->link.'" title="'.esc_attr($this->title).'" class="'.$class.'">
				'.$ret.'
			</a>';
		}
		return $ret;
	}
	
	function title($sfont = true, $hover_color = false) {
		$ret = '';
		$ret .= '<h3 class="title'.(($sfont)?' sfont':'').'"><a href="'.$this->link.'" title="'. $this->title_attr.'">';
		if ($hover_color) {
			$ret .= '<span class="hover-color">';
		}
		$ret .= $this->title;
		
		if ($this->format) {
			$ret .= ' <i class="fa post-format-icon fa-';
			switch ($this->format) {
				case 'aside':
					break;
				case 'gallery':
					break;
				case 'link':
					break;
				case 'image':
					$ret .= 'camera';
					break;
				case 'quote':
					break;
				case 'status':
					break;
				case 'video':
					$ret .= 'film';
					break;
				case 'audio':
					$ret .= 'music';
					break;
				case 'chat':
					break;
				default:
					// standard format
					$ret .= 'thumb-tack post-standard-icon';
					break;
			}

			$ret .= '"></i>';
		}
		if ($hover_color) {
			$ret .= '</span>';
		}
		$ret .='</a></h3>';
		
		return $ret;
	}
	
	function cate($class = '', $current_cate_id = 1) {
		$ret = '';
		if (!$this->args['show_category']) {
			return $ret;
		}
		if ($current_cate_id == 1 && is_numeric($this->args['category'])) {
			$current_cate_id = (int) $this->args['category'];
		}
		$class = 'cate '.$class;
		$categories = get_the_category();
		if($categories){
			foreach($categories as $category) {
				// to make sure has as least 1 cat
				if ($ret == '') {
					$ret = '<a class="'.$class.'" href="'.get_category_link( $category->term_id ).'" title="' . esc_attr($category->cat_name) . '">'.$category->cat_name.'</a>';
				}
				
				// if has a cat different with box title cat, pick it
				if (((int) $category->term_id) != ((int)$current_cate_id)) {
					$ret = '<a class="'.$class.'" href="'.get_category_link( $category->term_id ).'" title="' . esc_attr($category->cat_name) . '">'.$category->cat_name.'</a>';
					break;
				}	
			}
		}
		return $ret;
	}
	
	function cates($cate_class = 'cate-item') {
		$ret = '';
		if (!$this->args['show_category']) {
			return $ret;
		}
		$categories = get_the_category();
		if($categories){
			foreach($categories as $category) {
				if ($ret != '') {
					$ret .= '<span class="cate-sep">, </span>';
				}

				$ret .= '<a class="'.$cate_class.'" href="'.get_category_link( $category->term_id ).'" title="' . esc_attr($category->cat_name) . '">'.$category->cat_name.'</a>';
			}
			if ($ret) {
				$ret = '<div class="cates">'.$ret.'<div class="clear"></div></div>';
			}
		}
		
		return $ret;
	}
	
	function comments() {
		$ret = '';
		if (!$this->args['show_comment_number']) {
			return $ret;
		}
		if (comments_open()) {
			$ret .= '<a href="'.get_comments_link().'" class="meta-item comments color"><i class="fa fa-comment"></i> <span>'.get_comments_number().'</span></a>';
		}
		
		return $ret;
	}
	
	function views() {
		$ret = '';
		if (!$this->args['show_view_count']) {
			return $ret;
		}
		$key = 'post_views_count';
		if (get_theme_mod('view_count_key')) {
			$key = get_theme_mod('view_count_key');
		}
		$views = get_post_meta($this->id, $key, true);
		if ($views) {
			$ret = ' <span class="views meta-item"><i class="fa fa-eye"></i> <span>'.$views.'</span></span>';
		}
		return $ret;
	}
	
	/* type: date/short_date/time/date_time
	 */
	function date_time($type = 'short_date') {
		$ret = '';
		if (!$this->args['show_date']) {
			return $ret;
		}
		$ret .= '<a href="'.$this->link.'" class="meta-item date"><i class="fa fa-clock-o"></i> <span>'.$this->date.'</span></a>';	
		switch ($type) {
			case 'short_date':
				if (get_option('date_format')) {
					$cur_date_fm = get_option('date_format');
					$cur_date_fm = str_replace('F', 'M', $cur_date_fm);
					$ret = '<a href="'.$this->link.'" class="meta-item date"><span>'.get_the_date($cur_date_fm).'</span></a>';
				}
				break;
				
			case 'time':
				$ret .= '<a href="'.$this->link.'" class="meta-item time"><span>'.$this->time().'</span></a>';
				break;
			
			case 'date_time':
				$ret .= '<a href="'.$this->link.'" class="meta-item date-time"><span>'.$this->date.' '.$this->time.'</span></a>';
				break;
			
			default:
				break;
		}
		
		return $ret;
	}
	
	function meta($date_type = 'short_date') {
		$ret = '';
		
		if ((!$this->args['show_date']) && (!$this->args['show_comment_number'])) {
			return $ret;
		}
		$ret .= '<div class="meta">'.$this->date_time($date_type).$this->comments().$this->views().'</div>';
		return $ret;
	}
	
	function author() {
		$ret = '';
		
		$ret = '<a href="'.get_author_posts_url( get_the_author_meta( 'ID' ) ).'" class="meta-item item-author"><i class="fa fa-user"></i> <span>'. get_the_author_meta( 'display_name' ).'</span></a>';
		
		return $ret;
	}				
}
