<?php

get_template_part(THEME_PART_MENUS . 'menus_custom_fields');

// define menus
global $theme_menus;

$theme_menus = array(
	array(
		'id' => 'top-menu',
		'title' => 'Top Menu'
	),
	array(
		'id' => 'main-menu',
		'title' => 'Main Menu',
	),
	array(
		'id' => 'footer-menu',
		'title' => 'Footer Menu',
	),
	
);

// register menu with system
function theme_register_menus() {
	global $theme_menus;
	
	foreach ($theme_menus as $menu) {
		register_nav_menu( $menu['id'], __wpi($menu['title']));
	}
}
add_action( 'after_setup_theme', 'theme_register_menus' );
