<?php
add_shortcode('button', 'wpi_button_handler');

function wpi_button_handler($atts, $content) {
	extract(shortcode_atts(array(
		'link' => '',
		'target' => '',
		'color' => '',
		'icon'	=> '',
		'size' => ''), $atts));
	
	$color = ' button-'.$color;
	$size = ' button-'.$size;

	
	if($target) {
		$target = 'target="'. $target .'" ';
	} else {
		$target = '';
	}

	
	if($link) {
		$link = 'href="'. $link . '" ';
	} else {
		$link = 'href="#no-move"';
	}
	
	if ($icon && strpos($icon, 'fa-') !== false) {
		$icon = '<i class="fa '.$icon.'"></i> ';
	}

	return '<a class="wpi-button'.$color.$size .'" '. $link.$target.'>'.$icon.do_shortcode($content). '</a>';
}

