<?php
global $gallery_id;
$gallery_id = 0;
// http://www.pixedelic.com/plugins/camera/
function gallery_handler($atts, $content=null) {
	global $gallery_id;
	$gallery_id++;
	$ret_html = '';
	extract(shortcode_atts(array(
		'ids' => '',
		'link' => '',/*link to attachment page : file : none*/
		'columns' => 3,
		'orderby' => '' /*normal : rand*/), $atts));
	
	$ids = explode(',', $ids);
	if (!empty($ids)) : 
		if ($orderby == 'rand') {
			shuffle($ids);
		}
		$cols = array();
		// init array
		for ($i = 0; $i < $columns; $i++) {
			$cols[] = '';
		}
		$index = 0;
		foreach ($ids as $id) :
			$img_thumb_src = wp_get_attachment_image_src((int) $id);
			if ($img_thumb_src) :
				$img_thumb_src = $img_thumb_src[0];
		
				$img_full_src = wp_get_attachment_image_src((int) $id, 'full');
				$img_full_src = $img_full_src[0];
				$img_width = '';
				$img_height = '';
				$img_caption = '';
				$img_title = '';
				$img_data = get_post((int) $id);

				$img_meta = wp_get_attachment_metadata($id);
				if ($img_meta != false) {
					$img_width = $img_meta['width'];
					$img_height = $img_meta['height'];
					
					if (is_object($img_data)) {
						if (property_exists($img_data, 'post_excerpt')) {
							$img_caption = $img_data->post_excerpt;
						}
						if (property_exists($img_data, 'post_title')) {
							$img_title = $img_data->post_title;
						}
					}
				}

				$img_link = get_attachment_link($id);
				
				$item_html = '<div class="item item-'.$index.'">
					<img src="'.$img_thumb_src.'" width="'.$img_width.'" height="'.$img_height.'" alt="gallery-item"/>
					<div class="overlay background-color"></div>
					<div class="content-inner"><div class="icons">
						<a href="'.$img_link.'" target="_blank" title="'.  __wpi('View attacment page').'"><i class="fa fa-link"></i></a>
						<a href="'.$img_full_src.'" class="thickbox" rel="gallery-post" title="'.  __wpi('View in full size').'"><i class="fa fa-arrows"></i></a>
					</div>';
				if ($img_title) {
					$item_html .= '<h3 class="title">
						'.$img_title.'
					</h3>';
				}
				if ($img_caption) {
					$item_html .= '<p class="caption">'.$img_caption.'</p>';
				}
				$item_html .= '</div></div>';
				
				$cols[$index % $columns] .= $item_html;
				
				// output html
				$index++;
			endif;
			
		endforeach;
       
		for ($i = 0; $i < $columns; $i++) {
			$ret_html .= '<div class="col col-'.$i. (($i % 2)?' col-even':' col-odd') .'">'.$cols[$i].'</div>';
		}
		$ret_html ='<div class="ease wpi-gallery theme-'.$columns.'-cols">'.$ret_html.'<div class="clear"></div></div>';
	endif;
	
	return $ret_html;
}
	
add_shortcode('gallery', 'gallery_handler');

	