<?php

global $theme_options_tabs;
$theme_options_tabs = array(
	'information'	=> '<i class="fa fa-info"></i> Information',
	'social'		=> '<i class="fa fa-users"></i> Social Links',
	'translate'		=> '<i class="fa fa-globe"></i> Translate',
	'cuscode'		=> '<i class="fa fa-code"></i> Custom Codes',
	'sidebars'		=> '<i class="fa fa-pause"></i> Sidebars',
	
);

function wpi_theme_options_nav_active($act, $cur) {
	if ($act == $cur || ($act == '' && $cur == 'information')) {
		echo ' nav-tab-active';
	}
}

function wpi_theme_options_html() {
	global $theme_options_tabs;
	$act = '';
	if (isset($_GET['act'])) {
		$act = $_GET['act'];
	}
?>
<h1><i class="fa fa-desktop"></i> <?php echo __wpi('Theme Options'); ?></h1>
<div class="wrap">
	<div id="icon-themes" class="icon32"><br/></div>
	<h2 class="nav-tab-wrapper">
		<?php
		foreach ($theme_options_tabs as $key => $value) : ?>
			<a href="<?php echo admin_url('themes.php?page=wpi-theme-options&act='.$key); ?>" class="nav-tab<?php wpi_theme_options_nav_active($act, $key);?>"><?php echo $value; ?></a>
		<?php 
		endforeach;
		?>
	</h2>
	
	<div class="wpi-theme-options-content">
		<?php
			if ($act == '') {
				get_template_part(THEME_PART_THEME_OPTIONS	. 'theme_options_information');
			} else {
				get_template_part(THEME_PART_THEME_OPTIONS	. 'theme_options_'.$act);
			}
		?>
	</div>
	
	
	<br class="clear"/>

</div>

<?php
}