<?php
add_action('sidebar_admin_page', 'wpi_widgets_admin_layout');
function wpi_widgets_admin_layout() {
?>
<div id="wpi-widgets-admin-layout">
	<div class="header">
		<div class="header-1"></div>
		<div class="header-2">
			<div class="logo"><?php echo __wpi('WELCOME TO DELIPRESS VISUAL WIDGET LAYOUT BUILDER'); ?></div>
			<div class="holder"></div>
			<div style="clear:both"></div>
		</div>
		<div class="header-3"></div>
	</div>
	<div class="body">
		<p class="body-description">
			<?php echo __wpi('At beginning, home page and static page will show default sidebars. If you want to show other sidebar instead, just add your custom sidebar and select it when you edit your static page.'); ?>
		</p>
		<div class="main-col">
			<div class="inner">
				<a class="add-custom-sidebar custom-main-sidebar" href="#custom-sidebar">
					<?php echo __wpi('Add Custom Main Sidebar'); ?>
				</a>
				<div class="add-custom-sidebar-loadding">
					<img src="<?php echo THEME_URL_IMG ?>loading.gif"/>
				</div>
			</div>
		</div>
		<div class="small-col">
			<div class="inner">
				<a class="add-custom-sidebar custom-small-sidebar" href="#custom-sidebar">
					<?php echo __wpi('Add Custom Small Sidebar'); ?>
				</a>
				<div class="add-custom-sidebar-loadding">
					<img src="<?php echo THEME_URL_IMG ?>loading.gif"/>
				</div>
			</div>
		</div>
		<div class="big-col">
			<div class="inner">
				<a class="add-custom-sidebar custom-big-sidebar" href="#custom-sidebar">
					<?php echo __wpi('Add Custom Big Sidebar'); ?>
				</a>
				<div class="add-custom-sidebar-loadding">
					<img src="<?php echo THEME_URL_IMG ?>loading.gif"/>
				</div>
			</div>
		</div>
		<div style="clear:both"></div>
	</div>
	
	<div class="footer">
	</div>
	
</div>
<?php	
}