<?php get_header();  
global $wpi_pf_main_sidebar;
global $wpi_pf_small_sidebar;
global $wpi_pf_big_sidebar;
global $wpi_primary_class;
?>
	<div class="content-col col-main">
		<?php if (have_posts()) : the_post(); 
			global $post;
			$pid = get_the_ID();


			if ($wpi_pf_main_sidebar == 'content') :

				$item_cates = '';
				$categories = get_the_category();
				if($categories){
					foreach($categories as $category) {
						if ($item_cates) {
							$item_cates .= ', ';
						}
						$item_cates .= '<a rel="category" href="'.get_category_link( $category->term_id ).'" title="' . __wpi('View all posts in') . ' ' . esc_attr($category->cat_name) . '">'.$category->cat_name.'</a>';
					}
				}

				if ($item_cates) {
					$item_cates = '<div class="cats sfont">'.$item_cates.'</div>';
				}

				$item_comments = '';
				if (comments_open()) {
					$item_comments .= '<div class="meta-item"><a href="'.get_comments_link().'" class="meta-item comments"><i class="fa fa-comment-o"></i> <span>'.get_comments_number().'</span></a></div>';
				}

				$item_date_time = '';
				if (!get_theme_mod('hide_date_time')) {
					$item_date_time = '<div class="meta-item date time published updated"><i class="fa fa-clock-o"></i> <span itemprop="datePublished">'.get_the_time() .' '. get_the_date().'</span></div>';
				}
				
				$item_author = '';
				if (!get_theme_mod('hide_author_name')) {
					$item_author = '<div class="meta-item"><a href="'.get_author_posts_url( get_the_author_meta( 'ID' ) ).'" class="meta-item item-author"><i class="fa fa-user"></i> <span>'. get_the_author_meta( 'display_name' ).'</span></a></div>';
				}

			?>

				<?php if (function_exists('wpi_single_breadcrumbs')) wpi_single_breadcrumbs(); ?>

				<article id="post-<?php the_ID(); ?>" <?php post_class(); ?> itemscope="" itemtype="http://schema.org/Article">
				<?php if ( (has_post_thumbnail()) && (!get_theme_mod( 'hide_feature_image' ))) : ?>
					<p class="post-feature-image">
						<?php the_post_thumbnail('large', array('alt' => esc_attr(get_the_title()), 'title' => esc_attr(get_the_title()) )); ?>
					</p>
					<div class="clear"></div>
				<?php endif; ?>

					<h1 class="title sfont" itemprop="name"><?php the_title(); ?></h1>
					<?php if ($item_cates): ?>
						<?php echo $item_cates; ?>
					<?php endif; ?>

					<div class="meta">
						<?php echo $item_author.$item_comments.$item_date_time; ?>
						<div class="clear"></div>
					</div>


					<div class="content wpi-content-format" itemprop="articleBody">
						<?php if( ($post->post_excerpt) && (!get_theme_mod( 'hide_excerpt' ))) : ?>
							<div class="post-excerpt">
								<?php the_excerpt(); ?>
							</div><!-- .post-excerpt -->
						<?php endif; ?>
						<?php the_content(); ?>
						<div class="clear"></div>
						<?php wp_link_pages( array( 'before' => '<div class="page-links"><span class="page-links-title">' . __wpi( 'Pages:' ) . '</span>', 'after' => '</div>', 'link_before' => '<span>', 'link_after' => '</span>' ) ); ?>
						<div class="clear"></div>
					</div>



				</article>

				<?php if( (get_theme_mod( 'hide_sharing_buttons' ) != true)) : ?>
					<div class="clear"></div>
					<div class="sharing-box post-footer-box">
						<h3 class="sub-title sfont"><?php echo __wpi('Share this'); ?> </h3>
						<!-- AddThis Button BEGIN -->
						<div class="addthis_toolbox addthis_default_style">
						<a class="addthis_button_facebook_like" fb:like:layout="button_count"></a>
						<a class="addthis_button_tweet"></a>
						<a class="addthis_button_pinterest_pinit" pi:pinit:layout="horizontal"></a>
						<a class="addthis_button_google_plusone" g:plusone:size="medium"></a>
						<a class="addthis_counter addthis_pill_style"></a>
						</div>
						<!-- AddThis Button END -->
						<div class="clear"></div>
					</div>
				<?php endif; ?>



				<?php comments_template(); ?>
			<?php endif; /*end content with setting for main column is "content"*/ ?>
		<?php endif; /*end have_posts()*/ ?>
		
		<?php
		if ($wpi_pf_main_sidebar != 'content') :
			if ( is_active_sidebar($wpi_pf_main_sidebar)) : ?>
				<div id="<?php echo $wpi_pf_main_sidebar; ?>" class="sidebar">
					<?php dynamic_sidebar( $wpi_pf_main_sidebar ); ?>
				</div>
			<?php endif; 
		endif;
		?>
		
	</div><!-- .col-main -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>